Bug 199546

Summary: [patch] net-im/kopete-kde4: enable cryptography plugin
Product: Ports & Packages Reporter: Tijl Coosemans <tijl>
Component: Individual Port(s)Assignee: kde
Status: Closed FIXED    
Severity: Affects Only Me Keywords: patch
Priority: --- Flags: bugzilla: maintainer-feedback? (kde)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch none

Description Tijl Coosemans freebsd_committer 2015-04-19 18:27:31 UTC
Created attachment 155741 [details]
patch

- Modify deskutils/kdepim4 to install libkleo headers.  This basically reverts http://websvn.kde.org/?view=revision&revision=1070773 (Linux distros have done something similar)
- Let net-im/kopete-kde4 depend on kdepim4 to enable the cryptography plugin
- Remove dependencies from kopete-kde4 for protocols that are no longer supported (libjingle and MSN/WLM)
Comment 1 Tijl Coosemans freebsd_committer 2015-05-11 07:21:54 UTC
It's been 3 weeks.  I'm going to commit this if nobody responds within the next 2 days.
Comment 2 commit-hook freebsd_committer 2015-05-15 21:20:43 UTC
A commit references this bug:

Author: tijl
Date: Fri May 15 21:20:21 UTC 2015
New revision: 386485
URL: https://svnweb.freebsd.org/changeset/ports/386485

Log:
  - Modify deskutils/kdepim4 to install libkleo headers.  This basically
    reverts http://websvn.kde.org/?view=revision&revision=1070773 (Linux
    distros have done something similar)
  - Let net-im/kopete-kde4 depend on libkleo from deskutils/kdepim4 to
    enable the cryptography plugin
  - Remove dependencies from kopete-kde4 for protocols that are no longer
    supported (libjingle and MSN/WLM)

  PR:		199546
  Approved by:	maintainer timeout (3 weeks)

Changes:
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4/pkg-plist
  head/net-im/kopete-kde4/Makefile
  head/net-im/kopete-kde4/pkg-plist